Bug 1311994 - (CVE-2015-5727) CVE-2015-5727 botan: excess memory allocation in BER decoder
CVE-2015-5727 botan: excess memory allocation in BER decoder
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
  Show dependency treegraph
Reported: 2016-02-25 08:10 EST by Andrej Nemec
Modified: 2018-01-30 04:50 EST (History)
1 user (show)

See Also:
Fixed In Version: botan 1.11.19, botan 1.10.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-01-30 04:50:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2016-02-25 08:10:43 EST
The BER decoder would allocate a fairly arbitrary amount of memory in a length field, even if there was no chance the read request would succeed. This might cause the process to run out of memory or invoke the OOM killer.

External references:

Comment 1 Thomas Moschny 2016-04-29 14:27:25 EDT
CVE-2015-5727 has been fixed in 1.8.15 and 1.10.10.

As of today, we have:

   el5: botan-1.8.15-1
   el6: botan-1.8.15-1
 epel7: botan-1.10.12-1
   f22: botan-1.10.12-1
   f23: botan-1.10.12-1
   f24: botan-1.10.12-1
master: botan-1.10.12-1

So this bug can be closed imho.

Note You need to log in before you can comment on or make changes to this bug.